package subscribeplanrepository

import (
	"legalgo-BE-go/database"
	subscribeplandomain "legalgo-BE-go/internal/domain/subscribe_plan"
)

type SubsPlan struct {
	DB *database.DB
}

type SubsPlanIntf interface {
	Create(subscribeplandomain.SubscribePlanReq) error
	GetAll() ([]subscribeplandomain.SubscribePlan, error)
	GetByID(string) (*database.SubscribePlan, error)
	GetDefault() (*database.SubscribePlan, error)
}

func New(
	db *database.DB,
) SubsPlanIntf {
	return &SubsPlan{db}
}
